petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscBagRegisterEnum

add an enum value to the bag

### Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagRegisterEnum(PetscBag bag,void *addr,const char *const *list,PetscEnum mdefault, const char *name, const char *help)

Logically Collective on PetscBag

### Input Parameter

| bag | - the bag of values
| addr | - location of enum in struct
| mdefault | - the initial value
| list | - array of strings containing names of enum values followed by enum name followed by enum prefix
| help | - longer string with more information about the value

### See Also

PetscBag, PetscBagSetName(), PetscBagView(), PetscBagLoad(), PetscBagGetData()
PetscBagRegisterInt(), PetscBagRegisterBool(), PetscBagRegisterScalar() PetscBagSetFromOptions(), PetscBagCreate(), PetscBagGetName()

### Level

beginner

### Location

src/sys/classes/bag/bag.c

### Examples

src/sys/examples/tutorials/ex5f90.F90.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages